function queryFloat(classCode,preCode) {
	var pid  = $("#pid").html();
	var claimNo=$("#claimNo").val();
	var sMgappno=$("#sMgappno").html();
	var sGroupno=$("#sGroupno").val();
	
	var sPolicyno  = $("#sPolicyno").html();
	var str=preCode.split("-");
	$("#classCode").html("");
	$("#spreCode").html("");
	$("#accType").html("");
	$("#totalPremPublic").html("");
	$("#isPublicCoverage").html("");
	$("#remainPremPerson").html("");
	$("#remainPremPublic").html("");
	$("#observationPeriod").html("");
	$("#chwshshLmt").html("");
	$("#hlyshLmt").html("");
	$("#zhiliaoLmt").html("");
	$("#flypLmt").html("");
	$("#shoushuLmt").html("");
	$("#zhirutiLmt").html("");
	$("#qgyizhiLmt").html("");
	$("#jianchaLmt").html("");
	$("#zhzhchwLmt").html("");
	$("#wulizhlLmt").html("");
	$("#jiuhucheLmt").html("");
	$("#specificOwnRate").html("");
	$("#unauthorizedOwnRate").html("");
	$("#preyearLmt").html("");
	$("#pretimeLmt").html("");
	$("#zhlghLmt").html("");
	$("#mzshshLmt").html("");
	$("#wltdzhlLmt").html("");
	$("#yfPayRate").html("");
	$("#jcPayRate").html("");
	$("#zdPayRate").html("");
	$("#hospitalizedDays").html("");
	$("#remainPayDays").html("");
	$("#severeHospDays").html("");
	$("#remainHospDays").html("");
	$("#remainNumber").html("");
	$("#pay-Rate").html("");
	$("#remainDeductible").html("");
	$("#totalPremPerson").html("");
	$("#totalPremPublic").html("");
	$("#hlyshLmts").html("");
	$("#zhiliaoLmts").html("" );
	$("#flypLmts").html("");
	$("#jianchaLmts").html("");
	$("#wulizhlLmts").html("");
	$("#jianchaLmts").html("");
	$("#preyearLmts").html("" );
	$("#mzshshLmt").html("");
	$("#payDays").html("" );
	$("#hospDays").html("" );
	$("#remainHospDays").html("" );
	$("#totalNumber").html("");
	$("#remainNumber").html("");
	$("#healthCareRange").html("");
	$("#healthCareDrugs").html("");
	$("#healthCareZhenl").html("");
	$("#ifOwnAmt").html("");
	$("#feesRate").html("");
	$("#payLimit").html("");
	$("#remainPayLimit").html("");
	$("#allowanceLimitDays").html("");
	$("#remainLimitDays").html("");
	$("#lmtPayDays").html("");
	$("#remainLmtPayDays").html("");
	$("#freeYearAmt").html("");
	$("freeAmt").html("");
	$("#freeDays").html("");
	$("#payRate").html("");
	$("#nonHospPayRate").html("");
	$("#waitingPeriod").html("");
	$("#dailyAllowance").html("");
	$("#feesRate").html();
	$("#remainDeductibles").html();
	  $.ajax({
		  type:"POST",
		  url:"queryFolat.do",
		  data:{"claimNo":claimNo,"pid":pid,"sPolicyno":sPolicyno,"classCode":classCode,"spreCode":str[0],"zpreCode":str[1],"sMgappno":sMgappno,"sGroupno":sGroupno},
		  error: function(request) {
	            alert("操作失败！");
	            return;
	        },
	        success : function (data) {
	        	if(data!=""){
	        		$("#classCode").html(classCode);
	        		$("#spreCode").html(str[0]+"-"+str[1]);
	        		if(str[0]+str[1]=='13200'||str[0]+str[1]=='09410'){
	        			$("#wulis").html("物理替代治疗费剩余次数");
	        		}
	        		if(str[0]+str[1]=='13413'|| str[0]+str[1]=='09414'){
	        			$("#wulis").html("洗牙费次数");
	        		}
	        		$("#accType").html(data.accType);
	        		
	        		if(data.isPublicCoverage==null){
	        			$("#tr0").hide();
	        		}else{
	        			$("#tr0").show();
	        			$("#isPublicCoverage").html(data.isPublicCoverage);
	        		}
	        		if(data.floatingMap.totalPremPerson==null){
	        			$("#tr1").hide();
	        		}else{
	        			$("#tr1").show();
	        			$("#totalPremPerson").html(data.floatingMap.totalPremPerson);
	        			$("#remainPremPerson").html(data.remainPremPerson);
	        		}if(data.totalPremPublic==null){
	        			$("#tr2").hide();
	        		}else{
	        			$("#tr2").show();
	        			$("#totalPremPublic").html(data.totalPremPublic);
	        			$("#remainPremPublic").html(data.remainPremPublic);
	        		}if(data.floatingMap.totalPremPublic==null){
	        			$("#tr3").hide();
	        		}else{
	        			$("#tr3").show();
	        			$("#totalPremPublic").html(data.floatingMap.totalPremPublic );
	        			$("#remainPremPublic").html(data.remainPremPublic);
	        		}if(data.chwshshLmt==null){
	        			$("#tr4").hide();
	        		}else{
	        			$("#tr4").show();
	        			$("#chwshshLmt").html(data.chwshshLmt);
	        		}if(data.floatingMap.hlyshLmt==null){
	        			$("#tr5").hide();
	        		}else{
	        			$("#tr5").show();
	        			$("#hlyshLmts").html(data.floatingMap.hlyshLmt );
	        			$("#hlyshLmt").html(data.hlyshLmt);
	        		}if(data.floatingMap.zhiliaoLmt==null){
	        			$("#tr6").hide();
	        		}else{
	        			$("#tr6").show();
	        			$("#zhiliaoLmts").html(data.floatingMap.zhiliaoLmt );
	        			$("#zhiliaoLmt").html(data.zhiliaoLmt);
	        		}if(data.floatingMap.flypLmt==null){
	        			$("#tr7").hide();
	        		}else{
	        			$("#tr7").show();
	        			$("#flypLmt").html(data.flypLmt);
	        			$("#flypLmts").html(data.floatingMap.flypLmt );
	        		}
//	        		$("#observationPeriod").html(data.observationPeriod);
	        		if(data.floatingMap.shoushuLmt==null){
	        			$("#tr8").hide();
	        		}else{
	        			$("#tr8").show();
	        			$("#shoushuLmts").html(data.floatingMap.shoushuLmt );
	        			$("#shoushuLmt").html(data.shoushuLmt);
	        		}if(data.floatingMap.zhirutiLmt==null){
	        			$("#tr9").hide();
	        		}else{
	        			$("#tr9").show();
	        			$("#zhirutiLmts").html(data.floatingMap.zhirutiLmt);
	        			$("#zhirutiLmt").html(data.zhirutiLmt);
	        		}if(data.floatingMap.qgyizhiLmt==null){
	        			$("#tr10").hide();
	        		}else{
	        			$("#tr10").show();
	        			$("#qgyizhiLmts").html(data.floatingMap.qgyizhiLmt);
	        			$("#qgyizhiLmt").html(data.qgyizhiLmt);
	        		}if(data.floatingMap.jianchaLmt==null){
	        			$("#tr11").hide();
	        		}else{
	        			$("#tr11").show();
	        			$("#jianchaLmts").html(data.floatingMap.jianchaLmt );
	        			$("#jianchaLmt").html(data.jianchaLmt);
	        		}if(data.zhzhchwLmt==null){
	        			$("#tr12").hide();
	        		}else{
	        			$("#tr12").show();
	        			$("#zhzhchwLmt").html(data.zhzhchwLmt);
	        		}if(data.floatingMap.wulizhlLmt==null){
	        			$("#tr13").hide();
	        		}else{
	        			$("#tr13").show();
	        			$("#wulizhlLmts").html(data.floatingMap.wulizhlLmt );
	        			$("#wulizhlLmt").html(data.wulizhlLmt);
	        		}if(data.floatingMap.jiuhucheLmt==null){
	        			$("#tr14").hide();
	        		}else{
	        			$("#tr14").show();
	        			$("#jiuhucheLmts").html(data.floatingMap.jiuhucheLmt);
	        			$("#jiuhucheLmt").html(data.jiuhucheLmt);
	        		}if(data.specificOwnRate==null){
	        			$("#tr15").hide();
	        		}else{
	        			$("#tr15").show();
	        			$("#specificOwnRate").html(data.specificOwnRate);
	        		}if(data.unauthorizedOwnRate==null){
	        			$("#tr16").hide();
	        		}else{
	        			$("#tr16").show();
	        			$("#unauthorizedOwnRate").html(data.unauthorizedOwnRate);
	        		}if(data.floatingMap.preyearLmt==null){
	        			$("#tr17").hide();
	        		}else{
	        			$("#tr17").show();
	        			$("#preyearLmts").html(data.floatingMap.preyearLmt );
	        			$("#preyearLmt").html(data.preyearLmt);
	        		}if(data.pretimeLmt==null){
	        			$("#tr18").hide();
	        		}else{
	        			$("#tr18").show();
	        			$("#pretimeLmt").html(data.pretimeLmt);
	        		}if(data.zhlghLmt==null){
	        			$("#tr19").hide();
	        		}else{
	        			$("#tr19").show();
	        			$("#zhlghLmt").html(data.zhlghLmt);
	        		}if(data.mzshshLmt==null){
	        			$("#tr20").hide();
	        		}else{
	        			$("#tr20").show();
	        			$("#mzshshLmts").html(data.mzshshLmt);
	        			$("#mzshshLmt").html(data.floatingMap.mzshshLmt );
	        		}if(data.wltdzhlLmt==null){
	        			$("#tr21").hide();
	        		}else{
	        			$("#tr21").show();
	        			$("#wltdzhlLmt").html(data.wltdzhlLmt);
	        		}if(data.yfPayRate==null){
	        			$("#tr22").hide();
	        		}else{
	        			$("#tr22").show();
	        			$("#yfPayRate").html(data.yfPayRate);
	        		}if(data.jcPayRate==null){
	        			$("#tr23").hide();
	        		}else{
	        			$("#tr23").show();
	        			$("#jcPayRate").html(data.jcPayRate);
	        		}if(data.zdPayRate==null){
	        			$("#tr24").hide();
	        		}else{
	        			$("#tr24").show();
	        			$("#zdPayRate").html(data.zdPayRate);
	        		}if(data.hospitalizedDays==null){
	        			$("#tr25").hide();
	        		}else{
	        			$("#tr25").show();
	        			$("#hospitalizedDays").html(data.hospitalizedDays);
	        		}if(data.floatingMap.payDays==null){
	        			$("#tr26").hide();
	        		}else{
	        			$("#tr26").show();
	        			$("#payDays").html(data.floatingMap.payDays );
	        			$("#remainPayDays").html(data.remainPayDays);
	        		}if(data.severeHospDays==null){
	        			$("#tr27").hide();
	        			$("#tr29").hide();
	        		}else{
	        			$("#tr27").show();
	        			$("#tr29").show();
	        			$("#severeHospDays").html(data.severeHospDays);
	        		}if(data.remainDeductible==null){
	        			$("#tr28").hide();
	        		}else{
	        			$("#tr28").show();
	        			$("#remainDeductible").html(data.remainDeductible);
	        			$("#remainDeductibles").html(data.floatingMap.totalDeductible);
	        		}if(data.floatingMap.hospDays==null){
	        			$("#tr30").hide();
	        		}else{
	        			$("#tr30").show();
	        			$("#hospDays").html(data.floatingMap.hospDays );
	        			$("#remainHospDays").html(data.remainHospDays);
	        		}if(data.floatingMap.totalNumber==null){
	        			$("#tr31").hide();
	        		}else{
	        			$("#tr31").show();
	        			$("#totalNumber").html(data.floatingMap.totalNumber );;
	        			$("#remainNumber").html(data.remainNumber);
	        		}if(data.healthCareRange==null){
	        			$("#tr32").hide();
	        		}else{
	        			$("#tr32").show();
	        			$("#healthCareRange").html(data.healthCareRange);
	        		}if(data.healthCareDrugs==null){
	        			$("#tr33").hide();
	        		}else{
	        			$("#tr33").show();
	        			$("#healthCareDrugs").html(data.healthCareDrugs);
	        		}if(data.healthCareZhenl==null){
	        			$("#tr34").hide();
	        		}else{
	        			$("#tr34").show();
	        			$("#healthCareZhenl").html(data.healthCareZhenl);
	        		}if(data.ifOwnAmt==null){
	        			$("#tr35").hide();
	        		}else{
	        			$("#tr35").show();
	        			$("#ifOwnAmt").html(data.ifOwnAmt);
	        		}if(data.feesRate==null){
	        			$("#tr36").hide();
	        		}else{
	        			$("#tr36").show();
	        			$("#feesRate").html(data.feesRate);
	        		}if(data.remainPayLimit==null){
	        			$("#tr37").hide();
	        			$("#tr40").hide();
	        		}else{
	        			$("#tr37").show();
	        			$("#tr40").hide();
	        			$("#payLimit").html(data.payLimit);
	        			$("#remainPayLimit").html(data.remainPayLimit);
	        		}if(data.allowanceLimitDays==null){
	        			$("#tr38").hide();
	        		}else{
	        			$("#tr38").show();
	        			$("#allowanceLimitDays").html(data.allowanceLimitDays);
	        			$("#remainLimitDays").html(data.remainLimitDays);
	        		}if(data.lmtPayDays==null){
	        			$("#tr39").hide();
	        		}else{
	        			$("#tr39").show();
	        			$("#lmtPayDays").html(data.lmtPayDays);
	        			$("#remainLmtPayDays").html(data.remainLmtPayDays);
	        		}
	        	/*	if(data.freeYearAmt==null){
	        			$("#tr41").hide();
	        		}else{
	        			$("#tr41").show();
	        			$("#freeYearAmt").html(data.freeYearAmt);
	        		}*/
	        		if(data.freeAmt==null){
	        			$("#tr42").hide();
	        		}else{
	        			$("#tr42").show();
	        			$("#freeAmt").html(data.freeAmt);
	        		}if(data.freeDays==null){
	        			$("#tr43").hide();
	        		}else{
	        			$("#tr43").show();
	        			$("#freeDays").html(data.freeDays);
	        		}if(data.payRate==null){
	        			$("#tr44").hide();
	        		}else{
	        			$("#tr44").show();
	        			$("#payRate").html(data.payRate);
	        		}if(data.nonHospPayRate==null){
	        			$("#tr45").hide();
	        		}else{
	        			$("#tr45").show();
	        			$("#nonHospPayRate").html(data.nonHospPayRate);
	        		}if(data.nonHospPayRate==null){
	        			$("#tr46").hide();
	        		}else{
	        			$("#tr46").show();
	        			$("#waitingPeriod").html(data.waitingPeriod);
	        		}if(data.dailyAllowance==null){
	        			$("#tr47").hide();
	        		}else{
	        			$("#tr47").show();
	        			$("#dailyAllowance").html(data.dailyAllowance);
	        		}if(data.feesRate==null){
	        			$("#tr48").hide();
	        		}else{
	        			$("#tr48").show();
	        			$("#feesRate").html(data.feesRate);
	        		}
        		        	
//	        		$("#pay-Rate").html(data.payRate);
	        		
	        		
	        	//	delNullTr();
	        		showDiv('jbresult');
	        	}
	        	
			}
	  });
	   
/*	  function delNullTr(){
		 var tableStr = $("#jbresult table:eq(0) tr");
		 for(var i=1;i<tableStr.length;i++){
			 var a = $(tableStr[i]);
			 if(a[0].cells[1].innerHTML==""||a[0].cells[1].innerHTML==undefined){
//				 var bbbbbb = $("#jbresult table:eq(0) tr:eq("+i+")");
				 $("#jbresult table:eq(0) tr:eq("+i+")").hide();
			 }else {
				 $("#jbresult table:eq(0) tr:eq("+i+")").show();
			}
		 }
	  }*/
	  
//	  SkipByPost("queryFolat.do",{claimNo:claimNo,pid:pid,sPolicyno:sPolicyno,classCode:classCode,spreCode:str[0],zpreCode:str[1]});
	 
}

//打开影像
function openImage(sModino){//sModino批单号
	var branchid = $("#branchid").val();
	if("1"==$("#casecource").val()){  // 产险影像
		callpdEcm(sModino,branchid,"3");
	}else{
		
		   //获取当前网址
	    var curWwwPath = window.document.location.href;
	    //获取主机地址之后的目录
	    var pathName = window.document.location.pathname;
	    var pos = curWwwPath.indexOf(pathName);
	    //获取主机地址
	    var localhostPath = curWwwPath.substring(0, pos);
		 
		//健康险寿险保全影像
	    window.open(localhostPath+'/claimserver/inspection/clmtask/imageInfo.do?claimNo='+sModino+'&flag=3&branchid='+branchid+'',"保全影像");
	}
	
}